<?php

/*-----------------------------------------------------------------------------------*/
/* ツールバーを非表示にします。
/*-----------------------------------------------------------------------------------*/
add_filter( 'show_admin_bar', '__return_false' );

/*-----------------------------------------------------------------------------------*/
/* 管理画面の不要な入力項目を削除します。
/*-----------------------------------------------------------------------------------*/
function remove_default_post_screen_metaboxes() {
 remove_meta_box( 'postcustom','post','normal' ); // カスタムフィールド
 remove_meta_box( 'postexcerpt','post','normal' ); // 抜粋
 remove_meta_box( 'commentstatusdiv','post','normal' ); // ディスカッション
 remove_meta_box( 'commentsdiv','post','normal' ); // コメント
 remove_meta_box( 'trackbacksdiv','post','normal' ); // トラックバック
 remove_meta_box( 'authordiv','post','normal' ); // 作成者
 remove_meta_box( 'slugdiv','post','normal' ); // スラッグ
 remove_meta_box( 'revisionsdiv','post','normal' ); // リビジョン
 }
add_action('admin_menu','remove_default_post_screen_metaboxes');

/*-----------------------------------------------------------------------------------*/
/* 管理画面の不要なメニューを削除します。
/*-----------------------------------------------------------------------------------*/
function remove_menus () {
global $menu;
     $restricted = array(  __('ツール'), __('ユーザー'), __('プラグイン'), __('外観'), __('設定'), __('リンク'), __('コメント'), __('ダッシュボード'), __('お問い合わせ'));
     end ($menu);
     while (prev($menu)){
          $value = explode(' ',$menu[key($menu)][0]);
          if(in_array($value[0] != NULL?$value[0]:"" , $restricted)){unset($menu[key($menu)]);}
     }
}
add_action('admin_menu', 'remove_menus');


/*-----------------------------------------------------------------------------------*/
/* フッターのメッセージを変更します。
/*-----------------------------------------------------------------------------------*/
function custom_admin_footer() {
    echo get_bloginfo('name');
}
add_filter('admin_footer_text', 'custom_admin_footer');



/*-----------------------------------------------------------------------------------*/
/* アイキャッチ画象のサイズ設定
/*-----------------------------------------------------------------------------------*/

add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 600, 9999, true ); 
add_image_size( 'main-thumbnail', 120, 9999, true );// 幅 120 ピクセル、高さ　9999 ピクセル (制限なし)、リサイズモード


/*-----------------------------------------------------------------------------------*/
/* デバッグ用関数
/*-----------------------------------------------------------------------------------*/
function vd($data) {
	echo "<pre>\n";
	var_dump($data);
	echo "\n</pre>\n";
}

/*-----------------------------------------------------------------------------------*/
/* 画象ファイルからsrcのパスのみ取得します。
/*-----------------------------------------------------------------------------------*/
function thumb_src($attachment_id, $size = 'thumbnail', $icon = false) {
	$image = wp_get_attachment_image_src($attachment_id, $size, $icon);
	if ( $image ) {
		list($src, $width, $height) = $image;
	}
	return $src;
}

/*-----------------------------------------------------------------------------------*/
/* カテゴリを単一選択に変更
/*-----------------------------------------------------------------------------------*/
function my_print_footer_scripts() {
echo '<script type="text/javascript">
  //<![CDATA[
  jQuery(document).ready(function($){
    $(".categorychecklist input[type=checkbox]").each(function(){
      $check = $(this);
      var checked = $check.attr("checked") ? \' checked="checked"\' : \'\';
      $(\'<input type="radio" id="\' + $check.attr("id")
        + \'" name="\' + $check.attr("name") + \'"\'
  	+ checked
	+ \' value="\' + $check.val()
	+ \'"/>\'
      ).insertBefore($check);
      $check.remove();
    });
  });
  //]]>
  </script>';
}
add_action('admin_print_footer_scripts', 'my_print_footer_scripts', 21);

/*-----------------------------------------------------------------------------------*/
/* ログイン画面のロゴを変更
/*-----------------------------------------------------------------------------------*/
function custom_login_logo() {
        echo '<style type="text/css">h1 a { background: url(/common/images/logo.gif) 50% 50% no-repeat !important; }</style>';
}
add_action('login_head', 'custom_login_logo');


